package pricefeed

import (
	"github.com/kava-labs/kava/x/pricefeed/keeper"
	"github.com/kava-labs/kava/x/pricefeed/types"
)

// autogenerated code using github.com/rigelrozanski/multitool
// aliases generated for the following subdirectories:
// ALIASGEN: github.com/kava-labs/kava/x/pricefeed/types/
// ALIASGEN: github.com/kava-labs/kava/x/pricefeed/keeper/

// nolint
const (
	EventTypeMarketPriceUpdated = types.EventTypeMarketPriceUpdated
	EventTypeOracleUpdatedPrice = types.EventTypeOracleUpdatedPrice
	EventTypeNoValidPrices      = types.EventTypeNoValidPrices
	AttributeValueCategory      = types.AttributeValueCategory
	AttributeMarketID           = types.AttributeMarketID
	AttributeMarketPrice        = types.AttributeMarketPrice
	AttributeOracle             = types.AttributeOracle
	AttributeExpiry             = types.AttributeExpiry
	ModuleName                  = types.ModuleName
	StoreKey                    = types.StoreKey
	RouterKey                   = types.RouterKey
	QuerierRoute                = types.QuerierRoute
	DefaultParamspace           = types.DefaultParamspace
	TypeMsgPostPrice            = types.TypeMsgPostPrice
	QueryGetParams              = types.QueryGetParams
	QueryMarkets                = types.QueryMarkets
	QueryOracles                = types.QueryOracles
	QueryRawPrices              = types.QueryRawPrices
	QueryPrice                  = types.QueryPrice
	MaxExpiry                   = types.MaxExpiry
)

// nolint
var (
	// functions aliases
	NewKeeper                  = keeper.NewKeeper
	NewQuerier                 = keeper.NewQuerier
	RegisterCodec              = types.RegisterCodec
	ErrEmptyInput              = types.ErrEmptyInput
	ErrExpired                 = types.ErrExpired
	ErrNoValidPrice            = types.ErrNoValidPrice
	ErrInvalidMarket           = types.ErrInvalidMarket
	ErrInvalidOracle           = types.ErrInvalidOracle
	NewGenesisState            = types.NewGenesisState
	DefaultGenesisState        = types.DefaultGenesisState
	CurrentPriceKey            = types.CurrentPriceKey
	RawPriceKey                = types.RawPriceKey
	NewCurrentPrice            = types.NewCurrentPrice
	NewPostedPrice             = types.NewPostedPrice
	NewMsgPostPrice            = types.NewMsgPostPrice
	NewParams                  = types.NewParams
	DefaultParams              = types.DefaultParams
	ParamKeyTable              = types.ParamKeyTable
	NewQueryWithMarketIDParams = types.NewQueryWithMarketIDParams

	// variable aliases
	ModuleCdc          = types.ModuleCdc
	CurrentPricePrefix = types.CurrentPricePrefix
	RawPriceFeedPrefix = types.RawPriceFeedPrefix
	KeyMarkets         = types.KeyMarkets
	DefaultMarkets     = types.DefaultMarkets
)

// nolint
type (
	Keeper                  = keeper.Keeper
	GenesisState            = types.GenesisState
	Market                  = types.Market
	Markets                 = types.Markets
	CurrentPrice            = types.CurrentPrice
	PostedPrice             = types.PostedPrice
	PostedPrices            = types.PostedPrices
	SortDecs                = types.SortDecs
	MsgPostPrice            = types.MsgPostPrice
	Params                  = types.Params
	QueryWithMarketIDParams = types.QueryWithMarketIDParams
)
